# -*- encoding: utf-8 -*-
# stub: sys-proctable 1.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "sys-proctable".freeze
  s.version = "1.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/djberg96/sys-proctable/issues", "changelog_uri" => "https://github.com/djberg96/sys-proctable/blob/main/CHANGES.md", "documentation_uri" => "https://github.com/djberg96/sys-proctable/wiki", "homepage_uri" => "https://github.com/djberg96/sys-proctable", "rubygems_mfa_required" => "true", "source_code_uri" => "https://github.com/djberg96/sys-proctable", "wiki_uri" => "https://github.com/djberg96/sys-proctable/wiki" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Daniel J. Berger".freeze]
  s.cert_chain = ["certs/djberg96_pub.pem".freeze]
  s.date = "2023-02-05"
  s.description = "    The sys-proctable library provides an interface for gathering information\n    about processes on your system, i.e. the process table. Most major\n    platforms are supported and, while different platforms may return\n    different information, the external interface is identical across\n    platforms.\n".freeze
  s.email = "djberg96@gmail.com".freeze
  s.files = ["CHANGES.md".freeze, "Gemfile".freeze, "LICENSE".freeze, "MANIFEST.md".freeze, "README.md".freeze, "Rakefile".freeze, "benchmarks".freeze, "benchmarks/bench_ips_ps.rb".freeze, "benchmarks/bench_ps.rb".freeze, "certs".freeze, "certs/djberg96_pub.pem".freeze, "debian".freeze, "debian/changelog".freeze, "debian/control".freeze, "debian/copyright".freeze, "debian/debhelper-build-stamp".freeze, "debian/patches".freeze, "debian/patches/fix-gemspec.patch".freeze, "debian/patches/series".freeze, "debian/ruby-sys-proctable".freeze, "debian/ruby-sys-proctable.docs".freeze, "debian/ruby-sys-proctable.examples".freeze, "debian/ruby-tests.rake".freeze, "debian/rules".freeze, "debian/salsa-ci.yml".freeze, "debian/source".freeze, "debian/source/format".freeze, "debian/upstream".freeze, "debian/upstream/metadata".freeze, "debian/watch".freeze, "examples".freeze, "examples/example_ps.rb".freeze, "lib".freeze, "lib/aix".freeze, "lib/aix/sys".freeze, "lib/aix/sys/proctable.rb".freeze, "lib/bsd".freeze, "lib/bsd/sys".freeze, "lib/bsd/sys/dragonfly".freeze, "lib/bsd/sys/dragonfly/sys".freeze, "lib/bsd/sys/dragonfly/sys/proctable".freeze, "lib/bsd/sys/dragonfly/sys/proctable.rb".freeze, "lib/bsd/sys/dragonfly/sys/proctable/constants.rb".freeze, "lib/bsd/sys/dragonfly/sys/proctable/functions.rb".freeze, "lib/bsd/sys/dragonfly/sys/proctable/structs.rb".freeze, "lib/bsd/sys/freebsd".freeze, "lib/bsd/sys/freebsd/sys".freeze, "lib/bsd/sys/freebsd/sys/proctable".freeze, "lib/bsd/sys/freebsd/sys/proctable.rb".freeze, "lib/bsd/sys/freebsd/sys/proctable/constants.rb".freeze, "lib/bsd/sys/freebsd/sys/proctable/functions.rb".freeze, "lib/bsd/sys/freebsd/sys/proctable/structs.rb".freeze, "lib/bsd/sys/proctable.rb".freeze, "lib/darwin".freeze, "lib/darwin/sys".freeze, "lib/darwin/sys/proctable.rb".freeze, "lib/linux".freeze, "lib/linux/sys".freeze, "lib/linux/sys/proctable".freeze, "lib/linux/sys/proctable.rb".freeze, "lib/linux/sys/proctable/cgroup_entry.rb".freeze, "lib/linux/sys/proctable/smaps.rb".freeze, "lib/sunos".freeze, "lib/sunos/sys".freeze, "lib/sunos/sys/proctable.rb".freeze, "lib/sys".freeze, "lib/sys-proctable.rb".freeze, "lib/sys-top.rb".freeze, "lib/sys/proctable".freeze, "lib/sys/proctable.rb".freeze, "lib/sys/proctable/version.rb".freeze, "lib/sys/top.rb".freeze, "lib/windows".freeze, "lib/windows/sys".freeze, "lib/windows/sys/proctable.rb".freeze, "spec".freeze, "spec/spec_helper.rb".freeze, "spec/sys_proctable_aix_spec.rb".freeze, "spec/sys_proctable_all_spec.rb".freeze, "spec/sys_proctable_bsd_spec.rb".freeze, "spec/sys_proctable_darwin_spec.rb".freeze, "spec/sys_proctable_linux_spec.rb".freeze, "spec/sys_proctable_sunos_spec.rb".freeze, "spec/sys_proctable_windows_spec.rb".freeze, "spec/sys_top_spec.rb".freeze, "sys-proctable.gemspec".freeze, "sys-proctable.gemspec.gem2deb".freeze]
  s.homepage = "http://github.com/djberg96/sys-proctable".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.3.15".freeze
  s.summary = "An interface for providing process table information".freeze
  s.test_files = ["spec/spec_helper.rb".freeze, "spec/sys_proctable_aix_spec.rb".freeze, "spec/sys_proctable_all_spec.rb".freeze, "spec/sys_proctable_bsd_spec.rb".freeze, "spec/sys_proctable_darwin_spec.rb".freeze, "spec/sys_proctable_linux_spec.rb".freeze, "spec/sys_proctable_sunos_spec.rb".freeze, "spec/sys_proctable_windows_spec.rb".freeze, "spec/sys_top_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<ffi>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.9"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop-rspec>.freeze, [">= 0"])
    s.add_development_dependency(%q<mkmf-lite>.freeze, [">= 0"])
  else
    s.add_dependency(%q<ffi>.freeze, ["~> 1.1"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.9"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop-rspec>.freeze, [">= 0"])
    s.add_dependency(%q<mkmf-lite>.freeze, [">= 0"])
  end
end
